	<#compress>
	<#macro page title charset>
	<#compress>
	  <html>
	  <head>
	    <title>Message - ${title?html}</title>
	    <meta http-equiv="content-type" content="text/html; charset=${charset}"/>

	<style type="text/css">
	DIV.title {
		font-family: Tahoma, Arial, Helvetica, sans-serif;
		font-size: 12px;
		font-weight: bold;
		text-align: left;
	}

	DIV.general{
	width: 100%;
	padding-top: 4px;
	padding-bottom: 4px;
	}


	TABLE.general
		{
		font-family: Tahoma, Arial, Helvetica, sans-serif;
		color: #000000;
		font-size: 12px;
			background-color: #84B0C7;
			width: 100%;
		}

	div.CAP{
		font-family: Tahoma, Arial, Helvetica, sans-serif;
		color: #000000;
		font-size: 11px;
		text-align: left;
		font-weight: normal;
		background-color: #B3CDDA;
		border-top: #84B0C7 1px solid;
		border-left: #84B0C7 1px solid;
		border-right: #84B0C7 1px solid;
		padding-left: 6px;
		padding-top: 2px;
		padding-bottom: 2px;

	}

	TABLE.general TH
		{
		color: #000000;
		text-align: center;
		font-weight: bold;
		background-color: #EBF1F2;
		vertical-align: middle;
		font-size: 11px;
		padding-right: 12px;

		}

	TABLE.general TR.WIDE TH
		{
		color: #000000;
		text-align: center;
			font-weight: bold;
		background-color:  #DAE5EB;
			vertical-align: middle;
		font-size: 11px;
		}

	TABLE.general TD
		{
			background-color: #F8F8F8;
			vertical-align: center;
			text-align: center;
		font-size: 11px;
		}



	TABLE.general TR.selected TD
		{
		background-color: #DAE5EB;
		font-weight: bold;
		font-size: 11px;
		}

	TABLE.general TR.selected TH
		{
		background-color: #A0C1D3;
		font-weight: bold;
			font-size: 11px;
		}

	TABLE.general TR.new TD
		{
				background-color: #C7D9E3;
				font-size: 11px;
		}

	TABLE.general TR.new TH
		{
				background-color: #B3CDDA;
			font-size: 11px;
					}


	TABLE.general A
		{
		color: #000000;
		font-weight: bold;
			font-size: 11px;
			text-decoration: none;
		}


	TABLE.udf {
	background-color: transparent !important;
	padding: 0px 0px 0px 0px !important;
	margin:  0px 0px 0px 0px !important;
	border-left: 0px !important;
	border-right: 0px !important;
	border-top: 0px !important;
	}

	TABLE.udf TD{
	vertical-align: top;
	padding: 0px 0px 0px 0px !important;
	margin:  0px 0px 0px 0px !important;
	}

	.iconized {
	padding-left: 4px;
	padding-right: 4px;
	margin-left: 2px;
	margin-right: 2px;
	text-align: center;
	font-family: Tahoma, Verdana;
	font-size: 12px;
	font-weight: bold;
	color: #5E88BF;
	border: 1px #5E88BF outset;
	background: #FFFFFF;
	}
	.controls{
	text-align: right;
	margin-top: 4px;
	margin-bottom: 4px;

	}

	SELECT  {
		font-family: Tahoma, Arial, sans-serif;
		font-size: 11px;
		font-weight: bold;
			vertical-align: top;
		}

	INPUT {
		font-family: Tahoma, Arial, sans-serif;
		font-size: 11px;
		font-weight: bold;
		vertical-align: middle;
	}

	</style>
	</head>
	  <body>
	</#compress>
	    <#nested>
	  </body>
	  </html>
	</#macro>


	<#macro header title>
	<br>
	<div class=cap>${title?html}</div>
	<table class="general" cellpadding=4 cellspacing=1 border=0>
	<#nested>
	</table>
	</#macro>

	<#macro headerline name value>
	<tr>
	<th width="38%">${name?html}</th>
	<td width="62%">${value}</td>
	</tr>
	</#macro>

	<#macro headerline2 name value>
	<tr>
	<th width="38%">${name?html}</th>
	<td width="62%">${value}</td>
	</tr>
	</#macro>

	<#macro description value>
	<tr>
	<td>${value}</td>
	</tr>
	</#macro>

	<#macro th name>
	<th>${name}</th>
	</#macro>

	<#macro wideTh name>
	<th width="100%">${name}</th>
	</#macro>

	<#macro shortTh name>
	<th width="5%">${name}</th>
	</#macro>

	<#macro attheader>
	<tr class="wide">
	    <@th name=titles.attachments.FILE/>
	    <@th name=titles.attachments.SIZE/>
	    <@th name=titles.attachments.LAST_MODIFIED/>
	    <@th name=titles.attachments.OWNER/>
	    <@th name=titles.attachments.DESCRIPTION/>
	</tr>
	</#macro>

	<#macro commitheader>
	<tr class="wide">
	    <#if addval.isSVN>
		<@th name=titles.scm.REVISION/>
	    </#if>
	    <@th name=titles.scm.AUTHOR/>
	    <@th name=titles.scm.DATE/>
	    <@th name=titles.scm.COMMENT/>
	</tr>
	</#macro>


	<#macro subtasksheader>
	<tr class="wide">
	<#if filter.TASKNUMBER>
	<@shortTh name=titles.subtask.TASKNUMBER/>
	</#if>
	<#if filter.FULLPATH>
	<@wideTh name=titles.subtask.FULLPATH/>
	</#if>
	<#if filter.NAME>
	<@wideTh name=titles.subtask.NAME/>
	</#if>
	<#if filter.ALIAS>
	<@shortTh name=titles.subtask.ALIAS/>
	</#if>
	<#if filter.CATEGORY>
	<@shortTh name=titles.subtask.CATEGORY/>
	</#if>
	<#if filter.STATUS>
	<@shortTh name=titles.subtask.STATUS/>
	</#if>
	<#if filter.RESOLUTION>
	<@shortTh name=titles.subtask.RESOLUTION/>
	</#if>
	<#if filter.PRIORITY>
	<@shortTh name=titles.subtask.PRIORITY/>
	</#if>
	<#if filter.SUBMITTER>
	<@shortTh name=titles.subtask.SUBMITTER/>
	</#if>
	<#if filter.SUBMITTERSTATUS>
	<@shortTh name=titles.subtask.SUBMITTERSTATUS/>
	</#if>
	<#if filter.HANDLER>
	<@shortTh name=titles.subtask.HANDLER/>
	</#if>
	<#if filter.HANDLERSTATUS>
	<@shortTh name=titles.subtask.HANDLERSTATUS/>
	</#if>
	<#if filter.SUBMITDATE>
	<@shortTh name=titles.subtask.SUBMITDATE/>
	</#if>

	<#if filter.UPDATEDATE>
	<@shortTh name=titles.subtask.UPDATEDATE/>
	</#if>

	<#if filter.CLOSEDATE>
	<@shortTh name=titles.subtask.CLOSEDATE/>
	</#if>

	<#if filter.DEADLINE>
	<@shortTh name=titles.subtask.DEADLINE/>
	</#if>

	<#if filter.BUDGET>
	<@shortTh name=titles.subtask.BUDGET/>
	</#if>
	<#if filter.ABUDGET>
	<@shortTh name=titles.subtask.ABUDGET/>
	</#if>

	<#if filter.CHILDCOUNT>
	<@shortTh name=titles.subtask.SUBTASKS/>
	</#if>

	<#if filter.MESSAGECOUNT>
	<@shortTh name=titles.subtask.MESSAGES/>
	</#if>
	<#if (titles.subtask.udfCaption?exists)>
	<#list titles.subtask.udfCaption as y>
	<@shortTh name=y/>
	</#list>
	</#if>
	</tr>
	</#macro>

	<#macro td value>
	<td>${value}</td>
	</#macro>


	<#macro attline att>
	<#compress>
	<tr>
	    <@td value=attlink[att.getId()]/>
	    <@td value=att.getSize()/>
	    <@td value=att.getLastModifiedString()/>
	    <@td value=att.getUserName()/>

	<#if att.getDescription()?exists>
	    <@td value=att.getDescription()/>
	<#else>
	    <@td value=" "/>
	</#if>

	</tr>
	</#compress>
	</#macro>

	<#macro commitline comm>
	<#compress>
	<tr class="line0">
	    <#if addval.isSVN>
		<@td value=comm.revision/>
	    </#if>
	    <@td value=comm.author/>
	    <@td value=comm.date/>
	    <td>
	    <table class="general" cellpadding="4" cellspacing="1" border=0>
		<tr>
		    <td>${comm.message}</td>
		</tr>
	    <tr class="wide">
		<@th name=titles.scm.CHANGED_PATH/>
	    </tr>
	    <tr><td>
		<table border=0>
		<#list comm.changedPath as path>
		<tr>
		    <#if addval.isSVN>
			<td>${path.value} ${path.key}</td>
		    <#else>
			<td>${path}</td>
		    </#if>
		</tr>
		</#list>
		</table>
	    </td></tr>
	    </table>
	    </td>

	</#compress>
	</#macro>

	<#macro subline item>
	<#compress>
	<tr>

	<#if filter.TASKNUMBER>
	<@td value=addval.taskViewFactory.inEmailHTML(item).getNumber()/>
	</#if>
	<#if filter.FULLPATH>
	<@td value=addval.taskViewFactory.inEmailHTMLList(item).getRelativePath(task.getId())/>
	</#if>
	<#if filter.NAME>
	<@td value=addval.taskViewFactory.inEmailHTMLList(item).getName()/>
	</#if>
	<#if filter.ALIAS>
	<#if item.getShortname()?exists>
	<@td value=item.getShortname()/>
	<#else>
	<@td value=" "/>
	</#if>
	</#if>
	<#if filter.CATEGORY>
	<@td value=addval.taskViewFactory.inEmailHTML(item).getCategory()/>
	</#if>

	<#if filter.STATUS>
	<@td value=addval.taskViewFactory.inEmailHTML(item).getStatus()/>
	</#if>

	<#if filter.RESOLUTION>
	<@td value=addval.taskViewFactory.inEmailHTML(item).getResolution()/>
	</#if>

	<#if filter.PRIORITY>
	<#if item.getPriority()?exists>
	<@td value=addval.taskViewFactory.inEmailHTMLList(item).getPriority()/>
	<#else>
	<@td value=" "/>
	</#if>
	</#if>

	<#if filter.SUBMITTER>
	<@td value=addval.taskViewFactory.inEmailHTML(item).getSubmitter()/>
	</#if>

	<#if filter.SUBMITTERSTATUS>
	<#if item.getSubmitter()?exists>
	<@td value=addval.taskViewFactory.inEmailHTML(item).getSubmitterPrstatuses()/>
	<#else>
	<@td value=" "/>
	</#if>
	</#if>

	<#if filter.HANDLER>
	<#if item.getHandlerUserId()?exists || item.getHandlerGroupId()?exists>
	<@td value=addval.taskViewFactory.inEmailHTML(item).getHandler()/>
	<#else>
	<@td value=" "/>
	</#if>
	</#if>

	<#if filter.HANDLERSTATUS>
	<#if item.getHandlerUserId()?exists || item.getHandlerGroupId()?exists>
	<@td value=addval.taskViewFactory.inEmailHTML(item).getHandlerPrstatuses()/>
	<#else>
	<@td value=" "/>
	</#if>
	</#if>


	<#if filter.SUBMITDATE>
	<#if item.getSubmitdate()?exists>
	<@td value=addval.taskViewFactory.inEmailHTML(item).getSubmitdate()/>
	<#else>
	<@td value=" "/>
	</#if>
	</#if>

	<#if filter.UPDATEDATE>
	<#if item.getUpdatedate()?exists>
	<@td value=addval.taskViewFactory.inEmailHTML(item).getUpdatedate()/>
	<#else>
	<@td value=" "/>
	</#if>
	</#if>

	<#if filter.DEADLINE>
	<#if item.getDeadline()?exists>
	<@td value=addval.taskViewFactory.inEmailHTML(item).getDeadline()/>
	<#else>
	<@td value=" "/>
	</#if>
	</#if>

	<#if filter.CLOSEDATE>
	<#if item.getClosedate()?exists>
	<@td value=addval.taskViewFactory.inEmailHTML(item).getClosedate()/>
	<#else>
	<@td value=" "/>
	</#if>
	</#if>

	<#if filter.BUDGET>
	<@td value=addval.taskViewFactory.inEmailHTML(item).getBudget()/>
	</#if>

	<#if filter.ABUDGET>
	<@td value=addval.taskViewFactory.inEmailHTML(item).getActualBudget()/>
	</#if>

	<#if filter.CHILDCOUNT>
	<@td value=item.getTotalChildrenCount()/>
	</#if>

	<#if filter.MESSAGECOUNT>
	<@td value=item.getMessageCount()/>
	</#if>

	<#if (subudf[item.getId()]?exists)>
	<#list subudf[item.getId()] as y>
	<#if (y?exists)><@td value=addval.taskViewFactory.inEmailHTMLList(item).getUDFValueView(y).getValue(item)/><#else><@td value=" "/></#if>
	</#list>
	</#if>
	</#compress>

	<#if (filter.DESCRIPTION && item.getDescription()?exists)>
	<tr><td colspan="40">
	${addval.taskViewFactory.inEmailHTML(item).getDescription()}
	</td></tr>
	</#if>

	<#if filter.MESSAGEVIEW>
	<#if submsg[item.getId()]?exists>
	<tr><td colspan="40">
	<#list submsg[item.getId()] as m>
	<@message msg=m/>
	</#list>
	</td></tr>
	</#if>
	</#if>
	</tr>
	</#macro>

	<#macro message msg>
	<#compress>
	<div class="general">
	<table class="general" cellpadding="4" cellspacing="1" border=0>
	<#if msg.getTime()?exists>
	<COLGROUP>
	<COL width="20%">
	<COL width="80%">
	</COLGROUP>
	<tr>
	<@th name=titles.messages.DATE/>
	<td>${addval.df.parse(msg.getTime())}</td>
	</tr>
	</#if>
	<#if msg.getSubmitter()?exists>
	<tr>
	<@th name=titles.messages.AUTHOR/>
	<td>${addval.taskViewFactory.inEmailHTML(task).getUserView(msg.getSubmitter()).getName()}</td>
	</tr>
	</#if>
	<#if msg.getMstatus()?exists>
	<tr>
	<@th name=titles.messages.MESSAGETYPE/>
	<td>
	${msg.getMstatus().getName()}
	<#if (msg.getMstatus().getDescription()?exists && !(msg.getMstatus().getDescription()==""))>
	  |  ${msg.getMstatus().getDescription()}
	</#if>
	</td>
	</tr>
	</#if>
	<#if msg.getResolution()?exists>
	<tr>
	<@th name=titles.messages.RESOLUTION/>
	<@td value=msg.getResolution().getName()/>
	</tr>
	</#if>
	<#if msg.getHandlerUserId()?exists || msg.getHandlerGroupId()?exists>
	<tr>
	<@th name=titles.messages.HANDLER/>
	<#if msg.getHandlerUserId()?exists>
	    <@td value=addval.taskViewFactory.inEmailHTML(task).getUserView(msg.getHandlerUser()).getName()/>
	</#if>
	<#if msg.getHandlerGroupId()?exists>
	    <@td value=msg.getHandlerGroup().getEncodeName()/>
	</#if>
	</tr>
	</#if>
	<#if msg.getPriority()?exists>
	<tr>
	<@th name=titles.messages.PRIORITY/>
	<@td value=msg.getPriority().getName()/>
	</tr>
	</#if>
	<#if msg.getDeadline()?exists>
	<tr>
	<@th name=titles.messages.DEADLINE/>
	<@td value=addval.df.parse(msg.getDeadline())/>
	</tr>
	</#if>
	<#if msg.getBudget()?exists>
	<tr>
	<@th name=titles.messages.BUDGET/>
	<@td value=addval.hf.format(msg.getBudget().floatValue(), titles.FORMAT)/>
	</tr>
	</#if>
	<#if msg.getHrs()?exists>
	<tr>
	<@th name=titles.messages.ABUDGET/>
	<@td value=addval.hf.format(msg.getHrs().floatValue(), titles.FORMAT)/>
	</tr>
	</#if>
	<tr>
	<td colspan=2>
	</#compress>
	<#if msg.getWikiParsedDescription()?exists>
	${msg.getWikiParsedDescription()}
	<#else>

	</#if>
	</td>
	</tr>
	</table>
	</div>
	</#macro>

	<#macro subtasks>
	<#compress>
	<table class="general" cellpadding=4 cellspacing=1 border=0>
	<@subtasksheader/>
	</#compress>
	<#list items as i>
	<@subline item=i/>
	</#list>

	</table>
	</#macro>

	<#macro attachments>
	<#compress>
	<table class="general" cellpadding="4" cellspacing="1">
	<@attheader/>
	</#compress>
	<#list atts as i>
	<@attline att=i/>
	</#list>
	</table>
	</#macro>

	<#macro commits>
	<#compress>
	<table class="general" cellpadding="4" cellspacing="1" border=0>
	<@commitheader/>
	</#compress>
	<#list addval.scmReferences as c>
	<@commitline comm=c/>
	</#list>
	</table>
	</#macro>


	</#compress>
	<@page title=task.getName() charset=addval.charset>
	<#if (addval.availableMstatusList?exists) && !addval.availableMstatusList.isEmpty()>

	<table>
	<tr><td width=100%><b>*#=====#* REPLY BELOW THIS LINE *#=====#*</b>                          </td></tr>
	<tr><td width=100%><b>*!=====!* REPLY ABOVE THIS LINE *!=====!*</b>                          </td></tr>
	</table>

	</#if>
	<i>${addval.filterInfo?html}</i>
	<br>
	${addval.fullreason?html}

	<@header title=titles.TASKINFO>
	<#compress>
	<@headerline2 name=titles.TASKNUMBER value=addval.taskViewFactory.inEmailHTML(task).getNumber()/>
	<@headerline2 name=titles.PATH value=addval.taskViewFactory.inEmailHTML(task).getFullPath()/>
	<@headerline2 name=titles.TASKNAME value=addval.taskViewFactory.inEmailHTML(task).getName()/>
	<#if (task.getShortname()?exists)  && Null.isNotNull(task.getShortname())>
	<@headerline name=titles.ALIAS value=task.getShortname()/>
	</#if>
	<#if (task.getCategory()?exists)  && Null.isNotNull(task.getCategory())>
	<@headerline name=titles.CATEGORY value=addval.taskViewFactory.inEmailHTML(task).getCategory()/>
	</#if>
	<#if (task.getStatus()?exists)  && Null.isNotNull(task.getStatus())>
	<@headerline name=titles.STATUS value=addval.taskViewFactory.inEmailHTML(task).getStatus()/>
	</#if>
	<#if (task.getResolution()?exists) && Null.isNotNull(task.getResolution())>
	<@headerline name=titles.RESOLUTION value=addval.taskViewFactory.inEmailHTML(task).getResolution()/>
	</#if>
	<#if (task.getPriority()?exists) && Null.isNotNull(task.getPriority())>
	<@headerline name=titles.PRIORITY value=addval.taskViewFactory.inEmailHTML(task).getPriority()/>
	</#if>
	<#if (task.getSubmitter()?exists) && Null.isNotNull(task.getSubmitter())>
	<@headerline2 name=titles.SUBMITTER value=addval.taskViewFactory.inEmailHTML(task).getSubmitter()/>
	</#if>
	<#if ((task.getHandlerUserId()?exists) && Null.isNotNull(task.getHandlerUser())) || ((task.getHandlerGroupId()?exists) && Null.isNotNull(task.getHandlerGroup()))>
	<@headerline2 name=titles.HANDLER value=addval.taskViewFactory.inEmailHTML(task).getHandler()/>
	</#if>
	<#if (task.getSubmitdate()?exists) && Null.isNotNull(task.getSubmitdate())>
	<@headerline2 name=titles.SUBMITDATE value=addval.taskViewFactory.inEmailHTML(task).getSubmitdate()/>
	</#if>
	<#if (task.getUpdatedate()?exists) && Null.isNotNull(task.getUpdatedate())>
	<@headerline2 name=titles.UPDATEDATE value=addval.taskViewFactory.inEmailHTML(task).getUpdatedate()/>
	</#if>
	<#if (task.getClosedate()?exists) && Null.isNotNull(task.getClosedate())>
	<@headerline2 name=titles.CLOSEDATE value=addval.taskViewFactory.inEmailHTML(task).getClosedate()/>
	</#if>
	<#if (task.getDeadline()?exists) && Null.isNotNull(task.getDeadline())>
	<@headerline2 name=titles.DEADLINE value=addval.taskViewFactory.inEmailHTML(task).getDeadline()/>
	</#if>
	<#if (task.getBudget()?exists) && Null.isNotNull(task.getBudget())>
	<@headerline2 name=titles.BUDGET value=addval.taskViewFactory.inEmailHTML(task).getBudget()/>
	</#if>
	<#if (task.getActualBudget()?exists) && Null.isNotNull(task.getActualBudget()) && (task.getActualBudget().doubleValue() > 0)>
	<@headerline2 name=titles.ABUDGET value=addval.taskViewFactory.inEmailHTML(task).getActualBudget()/>
	</#if>
	</#compress>
	<#compress>
	<#if (udfs?exists)>
	<#list udfs as y>
	<#assign udfValue = addval.taskViewFactory.inEmailHTML(task).getUDFValueView(y).getValue(task)>
	<#if  Null.isNotNull(udfValue)>
	<@headerline2 name=y.getCaption() value=udfValue/>
	</#if>
	</#list>
	</#if>
	</#compress>
	</@header>

	<#if (addval.refTaskUdfs?exists && !addval.refTaskUdfs.isEmpty())>
	<@header title=titles.REFBYTASKS>
	<#list addval.refTaskUdfs as u>
	<#assign refValue = addval.taskViewFactory.inEmailHTML(task).getReferencedTasks(addval.refTasks.get(u))>
	<#if  Null.isNotNull(refValue)>
	<@headerline2 name=u.getCaption() value=refValue/>
	</#if>
	</#list>
	</@header>
	</#if>

	<#if (addval.refUserUdfs?exists && !addval.refUserUdfs.isEmpty())>
	<@header title=titles.REFBYUSERS>
	<#list addval.refUserUdfs as u>
	<#assign refValue = addval.taskViewFactory.inEmailHTML(task).getReferencedUsers(addval.refUsers.get(u))>
	<#if  Null.isNotNull(refValue)>
	<@headerline2 name=u.getCaption() value=refValue/>
	</#if>
	</#list>
	</@header>
	</#if>

	<#if (addval.scmReferences?exists && !addval.scmReferences.isEmpty())>
	<br>
	<@header title=titles.REFSCM>
	<tr><td>
	<@commits/>
	</td></tr>
	</@header>
	</#if>

	<#if (task.getWikiParsedDescription()?exists && task.getWikiParsedDescription().length()>0)>
	<@header title=titles.DESCRIPTION>
	<@description value=task.getWikiParsedDescription()/>
	</@header>
	</#if>

	<#if items?exists>
	<br>

	<@header title=titles.subtask.SUBTASKS>
	<tr><td>
	<@subtasks/>
	</td></tr>
	</@header>
	</#if>

	<#if atts?exists && !atts.isEmpty()>
	<br>

	<@header title=titles.attachments.ATTACHMENTS>
	<tr><td>
	<@attachments/>
	</td></tr>
	</@header>
	</#if>

	<#if msglist?exists  && !msglist.isEmpty()>
	<@header title=titles.messages.MESSAGES?html>
	<tr><td>
	<#list msglist as m>
	<@message msg=m/>
	</#list>
	</td></tr>
	</@header>
	</#if>
	<#compress>
	<#if !(addval.availableMstatusList?exists) || addval.availableMstatusList.isEmpty()>
	<div class="title">${titles.messages.NO_MESSAGES?html}</div>
	<#else>

	<div id="submitForm">
	<script type="text/javascript">

	function disableControls(sender) {
	 var el = document.forms["formX"].elements;
	 for (var i = 0; i < el.length; i++)
		if (el[i].className != "NOT_DISABLED") {
		    el[i].disabled = true;
		    if (el[i].type == "text")
			 el[i].style.backgroundColor = "#d7d7d7";
		}
	    var nde1 = sender.parentNode.parentNode.getElementsByTagName("input");
	    var nde2 = sender.parentNode.parentNode.getElementsByTagName("select");
	    for (var i = 0; i < nde1.length; i++) {
		 nde1[i].disabled = false;
		 if (nde1[i].type == "text")
		     nde1[i].style.backgroundColor = "white";
	     }
	     for (var i = 0; i < nde2.length; i++) {
		 nde2[i].disabled = false;
	     }
	 }

	 function makeSubject() {
	     var el = document.forms["formX"].elements;
	     var taskId = el["task_id"].value;
	     var userId = el["user_id"].value;
	     var mstatus = " ";
	     if(!el["MSTATUS"].length)
		mstatus = el["MSTATUS"].value
	    else
		for (var i = 0; i < el["MSTATUS"].length; i++)
		     if (el["MSTATUS"][i].checked == true) {
			 mstatus = el["MSTATUS"][i].value;
			 break;
		     }
	    var priority = el["PRIORITY"] ? (el["PRIORITY"].value == "" ? " " : el["PRIORITY"].value) : " ";
	    var deadline = el["DEADLINE"] ? (el["DEADLINE"].value == "" ? " " : el["DEADLINE"].value) : " ";
	    var budgetHrs = el["BUDGET_HRS"] ? (el["BUDGET_HRS"].value == "" ? "00" : el["BUDGET_HRS"].value) : " ";
	    var budgetMns = el["BUDGET_MNS"] ? (el["BUDGET_MNS"].value == "" ? "00" : el["BUDGET_MNS"].value) : " ";
	    var budgetSec = el["BUDGET_SEC"] ? (el["BUDGET_SEC"].value == "" ? "00" : el["BUDGET_SEC"].value) : " ";
	    var hours = "00";
	    var min = "00";
	    var sec = "00";
	    var handler = " ";
	    var resolution = " ";
	    for (var i = 0; i < el.length; i++) {
		if (el[i].name.indexOf("HRS") == 0 && el[i].disabled == false && el[i].value != "")
		    hours = el[i].value;
		if (el[i].name.indexOf("MNS") == 0 && el[i].disabled == false && el[i].value != "")
		    min = el[i].value;
		if (el[i].name.indexOf("SEC") == 0 && el[i].disabled == false && el[i].value != "")
		    sec = el[i].value;
		if (el[i].name.indexOf("HANDLER") == 0 && el[i].disabled == false)
		    handler = el[i].value;
		if (el[i].name.indexOf("RESOLUTION") == 0 && el[i].disabled == false)
		    resolution = el[i].value;
	    }
	    el["subject"].value = "***DO_NOT_EDIT***F2|" + taskId + "|" + userId + "|" + mstatus + "|" + hours + "|" + min + "|" + sec + "|" + priority + "|" + deadline + "|" + budgetHrs + "|" + budgetMns + "|" + budgetSec + "|" + handler + "|" + resolution + "***DO_NOT_EDIT***";
	}
	</script>

	<form onSubmit="makeSubject(); return true;" name="formX" action="mailto:${addval.mailFrom}">

	  <div class="general">
	<div id="checkJS"><font color="red">Please enable JavaScript to submit this form</font></div>
	<script>
	document.getElementById("checkJS").style.display='none';
	</script>
	<table class="general" id="messageType" cellpadding=4 cellspacing=1 border=0>
	<tr class="wide">
	<th>${titles.messages.MESSAGETYPE?html}</th>
	<th>${titles.DESCRIPTION?html}</th>
	<th>${titles.messages.NEXTSTATE?html}</th>
	<th>${titles.messages.HANDLER?html}</th>
	<th>${titles.messages.RESOLUTION?html}</th>
	</tr>
	<#assign firstCase = true>
	<#assign contains = false>
	<#list addval.availableMstatusList as prs0>
	<#assign contains = prs0.isDefault()>
	<#if contains><#break></#if>
	</#list>
	<#list addval.availableMstatusList as prs0>
	<#assign ischecked = prs0.isDefault() || (!contains && firstCase)>
	 <tr>
		<td>
			<#if ischecked>
			<input  checked id="${prs0.getId()}" class="NOT_DISABLED" type="radio" name="MSTATUS" onClick="disableControls(this);" onKeyDown="disableControls(this);" value="${prs0.getId()}">${prs0.getName()}
			</td>
			<#else>
			<input id="${prs0.getId()}" class="NOT_DISABLED" type="radio" name="MSTATUS" onClick="disableControls(this);" onKeyDown="disableControls(this);" value="${prs0.getId()}">${prs0.getName()}
			</td>
			</#if>
			<td>
			<#if (prs0.getDescription()?exists && !(prs0.getDescription()==""))>
			    ${prs0.getDescription()}
			</#if>
			</td>
			<td>
				<#if prs0.getNextState()?exists>
				${prs0.getNextState().getName()?html}
				</#if>
			</td>
			<td>

			<#if prs0.getHandlerList().isEmpty() && prs0.getHandlerGroupList().isEmpty()>
				${titles.messages.NO_HANDLERS?html}
			<#else>
			    <#if addval.permissions.editTaskHandler?exists>
				<#if ischecked>
				    <select name="HANDLER${prs0.getId()}">
				<#else>
				    <select name="HANDLER${prs0.getId()}" disabled>
				</#if>
				<#if ((!task.getHandlerUserId()?exists && !task.getHandlerGroupId()?exists) || !task.getCategory().isHandlerRequired())>
				    <option value=" ">${titles.messages.NOBODY?html}</option>
				</#if>
				<#if !prs0.getHandlerGroupList().isEmpty()>
				<optgroup label="${titles.messages.MSG_USER_STATUSES?html}">
				<#list prs0.getHandlerGroupList() as prs1>
				<#if task.getHandlerGroupId()?exists && prs1.getId()==task.getHandlerGroupId()>
					<option value="PR_${prs1.getId()}" selected>${prs1.getName()?html}</option>
				<#else>
					<option value="PR_${prs1.getId()}">${prs1.getName()?html}</option>
				</#if>
				</#list>
				</optgroup>
				</#if>
				<#if !prs0.getHandlerList().isEmpty()>
				<optgroup label="${titles.messages.MSG_LIST_USERS?html}">
				<#list prs0.getHandlerList() as prs1>
				<#if task.getHandlerUserId()?exists && prs1.getId()==task.getHandlerUserId()>
					<option value="${prs1.getId()}" selected>${prs1.getName()?html}</option>
				<#else>
					<option value="${prs1.getId()}">${prs1.getName()?html}</option>
				</#if>
				</#list>
				</optgroup>
				</#if>
			    <#else>
				<#if task.getHandlerGroupId()?exists>
				    task.getHandlerGroup().getEncodeName();
				<#else>
				    ${addval.taskViewFactory.inEmailHTML(task).getUserView(task.getHandlerUser()).getName()}
				</#if>
			    </#if>
			</#if>


			</td>
			<td>
			<#if !prs0.getResolutionList().isEmpty()>
				<#if ischecked>
				<select name="RESOLUTION${prs0.getId()}" style="width: 100px">
				<#else>
				<select name="RESOLUTION${prs0.getId()}" style="width: 100px" disabled>
				</#if>
			<#assign selected = false>
			<#assign hasDefault = false>
			<#list prs0.getResolutionList() as prs2>
				<#if !hasDefault>
				<#assign hasDefault = prs2.isDefault()>
				</#if>
				<#assign selected = (!prs2_has_next && !hasDefault) || prs2.isDefault()>
				<#if selected>
				<option selected value="${prs2.getId()}">${prs2.getName()}</option>
				<#else>
				<option value="${prs2.getId()}">${prs2.getName()}</option>
				</#if>
			</#list>
				</select>
			</#if>
			</td>
	</tr>
	<#assign firstCase = false>
	</#list>
	</table>
	</div>
		<#if ((addval.permissions.editTaskPriority?exists && !addval.priorityList.isEmpty()) || (addval.permissions.editTaskDeadline?exists) || (addval.permissions.editTaskBudget?exists)  || (addval.permissions.editTaskActualBudget?exists))>
		<div class="general">
	    <table class="general" id="messageScheduler" cellpadding=4 cellspacing=1 border=0>
		    <#if addval.permissions.editTaskPriority?exists && !addval.priorityList.isEmpty()>
			<tr>
			<th>${titles.messages.PRIORITY?html}</th>
			<td>
				    <select class="NOT_DISABLED" name="PRIORITY">
				    <#list addval.priorityList?sort as p>
					    <#if (task.getPriority()?exists && p.getId()==task.getPriority().getId()) || (!task.getPriority()?exists && p.getId()==addval.defaultPriority)>
						<option value="${p.getId()}"  selected>${p.getName()}</option>
					<#else>
						<option value="${p.getId()}">${p.getName()}</option>
						</#if>
					</#list>
			       </select>
			    </td>
			</tr>
		    </#if>
		    <#if addval.permissions.editTaskDeadline?exists>
			<tr>
			<th>${titles.messages.DEADLINE?html}</th>
			<td>
				<input class="NOT_DISABLED" type="text" name="DEADLINE" value="${addval.taskViewFactory.inEmailText(task).getDeadline()}">
			    </td>
			</tr>
		    </#if>
		    <#if addval.permissions.editTaskBudget?exists>
			<tr>
			<th>${titles.messages.BUDGET?html}</th>
			<td>
			    <input class="NOT_DISABLED" type="text" name="BUDGET_HRS" value="${addval.taskViewFactory.inEmailText(task).getBudgetHours()}" size="6" maxlength="6"> ${titles.messages.HH?html} <input class="NOT_DISABLED" type="text" name="BUDGET_MNS" value="${addval.taskViewFactory.inEmailText(task).getBudgetMinutes()}" size=6 maxlength=2> ${titles.messages.SS?html} <input class="NOT_DISABLED" type="text" name="BUDGET_SEC" value="${addval.taskViewFactory.inEmailText(task).getBudgetSeconds()}" size=6 maxlength=2> ${titles.messages.MM?html}
			</td>
			</tr>
		    </#if>
		    <#if addval.permissions.editTaskActualBudget?exists>
			<tr>
			<th>${titles.messages.ABUDGET?html}</th>
			<td>
			    <input class="NOT_DISABLED" type="text" style="font-size: 8pt; background-color: white" name="HRS" value="" size=6 maxlength=4>${titles.messages.HH?html}<input class="NOT_DISABLED" type="text" name="MNS"  style="font-size: 8pt; background-color: white" value="" size=6 maxlength=2>${titles.messages.MM?html}<input class="NOT_DISABLED" type="text" name="SEC"  style="font-size: 8pt; background-color: white" value="" size=6 maxlength=2>${titles.messages.SS?html}
			</td>
			</tr>
		    </#if>
		</table>
		</div>

	  </#if>
	<div class="controls">
	<input class="NOT_DISABLED" type="hidden" name="task_id" value="${task.getId()}">
	<input class="NOT_DISABLED" type="hidden" name="user_id" value="${user.getId()}">
	<input class="NOT_DISABLED" type="hidden" name="subject">
	<input class="NOT_DISABLED" type="submit" value="${titles.messages.CREATE}" class="iconized" name="ADDMESSAGE">
	</div>
	</form>
	</#if>
	</#compress>
	</@page>